<div class="container col-12">
  <div class="row col-12" [ngbCollapse]="backup">
    <form class="form ng-untouched ng-pristine ng-valid" #backupF="ngForm" [formGroup]="backupForm" novalidate>
      <div class="card">
        <div class="card-block">
          <div class="form-group col-6">
            <input type="text" formControlName="action" hidden>
            <input type="text" formControlName="user" hidden>
            <input type="text" formControlName="email" hidden>
            <label class="" for="nameBackup"></label>
          </div>
        </div>
        <div class="card-block">
          <button class="btn btn-outline-blue">
            <i class="ft-download"></i>
            <a href="../db/dump.tar" download></a>
            Download Backup
          </button>
          <button type="submit" (click)="backupSave(backupF)" class="btn btn-outline-primary">
            <i class="ft-save"></i>
            New Backup
          </button>
          <button type="button" class="btn btn-outline-purple" (click)="backup = !backup">
            <i class="ft-eye-off"></i>
            Hide
          </button>
        </div>
      </div>
    </form>
  </div>
  <div class="row col-12" [ngbCollapse]="restore">
    <form class="form ng-untouched ng-pristine ng-valid" #restoreF="ngForm" [formGroup]="restoreForm" novalidate>
      <div class="card">
        <div class="card-block">
          <div class="form-group col-6">
            <input type="text" formControlName="action" hidden>
            <input type="text" formControlName="user" hidden>
            <input type="text" formControlName="email" hidden>
            <label class="" for="nameRestore">Select Backup</label>
            <input type="file" id="nameRestore" placeholder="Name del respaldo" formControlName="nameRestore">
          </div>
        </div>
        <div class="card-block">
          <button type="submit" (click)="restoreDb(restoreF)" class="btn btn-outline-primary">
            <i class="ft-save"></i>
            Restore Database
          </button>
          <button type="button" class="btn btn-outline-purple" (click)="restore = !restore">
            <i class="ft-eye-off"></i>
            Hide
          </button>
        </div>
      </div>
    </form>
  </div>
  <!--///////////////////////////BUTTONS INIT///////////////////////////////-->
  <div class="row">
    <div class="col-xs-6 col-lg-6 col-md-6 col-xl-3">
      <div class="card shadow" (click)="table = !table" style="height: 110px;">
        <div class="card-body">
          <div class="px-3 py-3">
            <div class="media">
              <div class="media-body text-left">
                <h4 class="mb-1 pink">1</h4>
                <span class="grey">Users</span>
              </div>
              <div class="media-right align-self-center">
                <i class="ft-users pink font-large-2 float-right"></i>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-xs-6 col-lg-6 col-md-6 col-xl-3">
      <div class="card shadow" (click)="log = !log" style="height: 110px;">
        <div class="card-body">
          <div class="px-3 py-3">
            <div class="media">
              <div class="media-body text-left">
                <h4 class="mb-1 primary">2</h4>
                <span class="grey">Actions register</span>
              </div>
              <div class="media-right align-self-center">
                <i class="ft-eye primary font-large-2 float-right"></i>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-xs-6 col-lg-6 col-md-6 col-xl-3">
      <div class="card shadow" (click)="backup = !backup" style="height: 110px;">
        <div class="card-body">
          <div class="px-3 py-3">
            <div class="media">
              <div class="media-body text-left">
                <h4 class="mb-1 teal">3</h4>
                <span class="grey">Backup databases</span>
              </div>
              <div class="media-right align-self-center">
                <i class="ft-share teal font-large-2 float-right"></i>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-xs-6 col-lg-6 col-md-6 col-xl-3">
      <div class="card shadow" (click)="restore = !restore" style="height: 110px;">
        <div class="card-body">
          <div class="px-3 py-3">
            <div class="media">
              <div class="media-body text-left">
                <h4 class="mb-1 light-blue">4</h4>
                <span class="grey">Restore databases</span>
              </div>
              <div class="media-right align-self-center">
                <i class="ft-download light-blue font-large-2 float-right"></i>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!--/////////////////////////Table///////////////////////////////////////////////// -->
  <div class="row col-12" [ngbCollapse]="table">
    <div class="input-group">
      <input class="form-control" type="search" name="searchUser" [(ngModel)]="searchUser" placeholder="Search User">
      <div class="input-group-append">
        <button class="btn btn-outline-info bg-white ft-search"></button>
      </div>
    </div>
    <table class="table">
      <thead class="thead bg-white grey">
        <tr>
          <th scope="col">User</th>
          <th scope="col">Email</th>
          <th scope="col">Block</th>
          <th scope="col">User type</th>
          <th scope="col">Action</th>
          <th></th>
        </tr>
      </thead>
      <tbody class="bg-white">
        <tr *ngFor="let x of user | filterUser: searchUser">
          <td>{{x.user}}</td>
          <td>{{x.email}}</td>
          <td *ngIf="x.block==true">Yes</td>
          <td *ngIf="x.block==false || x.block==null">No</td>
          <td *ngIf="x.su==true">Admin</td>
          <td *ngIf="x.su==false || x.su==null">Doctor</td>
          <td>
            <div ngbDropdown class="d-inline-block">
              <button id="dropdown1" ngbDropdownToggle class="btn-xs btn-outline-danger" placement="top" ngbTooltip="Delete">
                <i class="ft-trash-2"></i>
              </button>
              <div ngbDropdownMenu aria-labelledby="dropdown1">
                <button class="dropdown-item" (click)="deltUser(x._id);">Yes</button>
                <button class="dropdown-item">No</button>
              </div>
            </div>
            <div ngbDropdown class="d-inline-block">
              <button id="dropdown2" ngbDropdownToggle class="btn-xs btn-outline-primary" placement="top" ngbTooltip="Edit"
                (click)="getUser(x._id)">
                <i class="ft-edit"></i>
              </button>
              <div ngbDropdownMenu aria-labelledby="dropdown2">
                <button class="dropdown-item" (click)="edit = !edit">Yes</button>
                <button class="dropdown-item">No</button>
              </div>
            </div>
            <div ngbDropdown class="d-inline-block">
              <button id="dropdown3" ngbDropdownToggle class="btn-xs btn-outline-success" placement="top" ngbTooltip="Unlock"
                (click)="unlockUsers(x._id)">
                <i class="ft-unlock"></i>
              </button>
              <div ngbDropdownMenu aria-labelledby="dropdown3">
                <button class="dropdown-item">Yes</button>
                <button class="dropdown-item">No</button>
              </div>
            </div>
            <div ngbDropdown class="d-inline-block">
              <button id="dropdown4" ngbDropdownToggle class="btn-xs btn-outline-info" placement="top" ngbTooltip="User type">
                <i class="icon-user"></i>
              </button>
              <div ngbDropdownMenu aria-labelledby="dropdown4">
                <button (click)="typeSu(x._id)" class="dropdown-item">Admin</button>
                <button (click)="typeMed(x._id)" class="dropdown-item">Doctor</button>
              </div>
            </div>
          </td>
          <td></td>
        </tr>
    </table>
  </div>
  <!--/////////////////////////Edit///////////////////////////////////////////////// -->
  <div class="row col-12" [ngbCollapse]="edit">
    <form class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularForm" #usersForm="ngForm" novalidate
      (ngSubmit)="editUser(usersForm)">
      <h4 class="media-heading"></h4>
      <div class="card">
        <div class="card-body">
          <div class="card-block" *ngIf="infoUser">
            <div class="row">
              <div class="form-group col-3">
                <label class="" for="name">Name</label>
                <input hidden type=text formControlName="_id" [(ngModel)]="infoUser._id">
                <input type="text" id="name" placeholder="Name" class="form-control" maxlength="20" formControlName="name"
                  [(ngModel)]="infoUser.name" name="name" required>
              </div>
              <div class="form-group col-3">
                <label class="" for="lastName">Lastname</label>
                <input type="text" id="lastName" placeholder="Lastname" class="form-control" maxlength="20"
                  formControlName="lastName" [(ngModel)]="infoUser.lastName" name="lastName" required>
              </div>
              <div class="form-group col-3">
                <label class="" for="typeDocument">V J P</label>
                <select formControlName="typeDocument" class="form-control" id="type" [(ngModel)]="infoUser.typeDocument"
                  name="typeDocument" required>
                  <option *ngFor="let x of typeDocument" [value]="x.type">{{x.type}}</option>
                </select>
              </div>
              <div class="form-group col-3">
                <label class="" for="documentNumber">Document</label>
                <input type="text" id="documentNumber" placeholder="1234567" class="form-control" maxlength="10"
                  formControlName="documentNumber" [(ngModel)]="infoUser.documentNumber" name="document" required>
              </div>
            </div>
            <div class="row">
              <div class="form-group col-3">
                <label class="" for="phone">Phone</label>
                <input type="text" class="form-control" id="phone" maxlength="10" placeholder="04281010010"
                  formControlName="phone" [(ngModel)]="infoUser.phone" name="phone" required>
              </div>
              <div class="form-group col-3">
                <label class="" for="direction">Direction</label>
                <input type="input" name="" id="direction" placeholder="AV Ramon Antonio" class="form-control"
                  maxlength="50" formControlName="direction" [(ngModel)]="infoUser.direction" name="direction" required>
              </div>
              <div class="form-group col-3">
                <label class="" for="user">Username</label>
                <input type="text" id="user" placeholder="DOC123" class="form-control" maxlength="16" formControlName="user"
                  [(ngModel)]="infoUser.user" name="user" required>
              </div>
              <div class="form-group col-3">
                <label class="" for="email">Email</label>
                <input type="email" class="form-control" name="email" id="email" placeholder="Correo" formControlName="email"
                  [(ngModel)]="infoUser.email" name="email" required>
              </div>
            </div>
          </div>
        </div>
        <div class="card-block">
          <div class="card-action">
            <button type="submit" class="btn btn-outline-primary">
              <i class="ft-save"></i>
              Save
            </button>
            <button type="button" class="btn btn-outline-purple" (click)="edit = !edit">
              <i class="ft-eye-off"></i>
              Hide
            </button>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
<!--//////////////////////////////////////////////////////////////////////////////////-->
<div class="row col-12" [ngbCollapse]="log">
  <div class="input-group">
    <input type="date" class="form-control" name="searchLog" [(ngModel)]="searchLog" placeholder="Search for date"
      name="dp">
    <div class="input-group-append">
      <button class="btn btn-outline-danger bg-white ft-calendar" type="button"></button>
    </div>

    <input type="text" class="form-control" name="searchUser" [(ngModel)]="searchUser" placeholder="Search for name"
      name="dp">
    <div class="input-group-append">
      <button class="btn btn-outline-info bg-white ft-search" type="button"></button>
    </div>
  </div>
  <table class="table">
    <thead class="thead bg-white grey">
      <tr>
        <th scope="col">User</th>
        <th scope="col">Email</th>
        <th scope="col">Action</th>
        <th scope="col">IP</th>
        <th scope="col">Hour date</th>
      </tr>
    </thead>
    <tbody class="bg-white">
      <tr *ngFor="let x of logger | filterLog: searchLog | filterUser: searchUser">
        <td>{{x.user}}</td>
        <td>{{x.email}}</td>
        <td>{{x.action}}</td>
        <td>{{x.ip}}</td>
        <td>{{formatDate(x.date)}}</td>
      </tr>
  </table>
</div>
